Public Class AuthWithBonusRequest
    Inherits AuthRequest

    ''' <summary>
    ''' Puan kullanımının olup olmadığını belirten alandır.
    ''' </summary>
    Public Property IsRewardToBeUsed As Boolean
    Public Property RewardToBeUsed As RewardToBeUsed

End Class

Public Class RewardToBeUsed
    Public Property List As List(Of RewardItem)
End Class

Public Class RewardItem

    ''' <summary>
    ''' Kullanımak istenen Puan tipidir. Alabileceği değerler (BNS, TotalPoint, Chippara, ParaPuan, KullanPuan)
    ''' </summary>
    Public Property Type As String

    ''' <summary>
    ''' Kullanılmak istenen Puan tutarıdır. Küsurat ayracı nokta (.) ile yapılmalıdır.
    ''' </summary>
    Public Property Amount As Decimal

End Class

